---
sidebar_position: 7
description: Get context parameter structure and other functions to work with Ollama in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Ollama]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get context parameter structure
 Gets the structure of additional parameters to process the request in context



`Function GetContextParameterStructure(Val Clear = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Clear | --empty | Boolean | &#x2716; | True > structure with empty valuse, False > field descriptions at values |

  
  Returns:  Structure Of KeyAndValue - Fields structure



```bsl title="1C:Enterprise/OneScript code example"
    Result = OPI_Ollama.GetContextParameterStructure();
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint ollama GetContextParameterStructure \
             --empty true
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint ollama GetContextParameterStructure ^
             --empty true
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "format": "<the format in which the response is returned: json or JSON schema>",
 "options": "<additional model parameters listed in the Modelfile documentation>",
 "keep_alive": "<how long the model will remain loaded in memory after a request>",
 "tools": "<list of tools in JSON format (for models that support this)>"
}
```
